<?php
/*
Plugin Name: PrestaShop Integration
Description: Add integration using shortcodes and plugins from a PrestaShop e-commerce to your blog
Version: 0.1
Author: François Pons
Author URI: http://www.aytechnet.fr/
*/

/*  Copyright 2010  François Pons  (email : fpons@aytechnet.fr)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

global $prestashop_integration;
if ( $prestashop_integration->psabspath != '' && file_exists( $prestashop_integration->psabspath . 'config/config.inc.php' ) ) {
	require_once( $prestashop_integration->psabspath . 'config/config.inc.php' );

	class PrestaShopIntegration_FrontController extends FrontController {
		function displayHeader() {
			global $css_files, $js_files;

			self::$smarty->assign( array(
				'time' => time(),
				'img_update_time' => Configuration::get('PS_IMG_UPDATE_TIME'),
				'static_token' => Tools::getToken(false),
				'token' => Tools::getToken(),
				'logo_image_width' => Configuration::get('SHOP_LOGO_WIDTH'),
				'logo_image_height' => Configuration::get('SHOP_LOGO_HEIGHT'),
				'priceDisplayPrecision' => _PS_PRICE_DISPLAY_PRECISION_,
				'content_only' => (int)Tools::getValue('content_only'),
				'HOOK_HEADER' => Module::hookExec('header'),
				'HOOK_TOP' => Module::hookExec('top'),
				'HOOK_LEFT_COLUMN' => Module::hookExec('leftColumn'),
				'HOOK_RIGHT_COLUMN' => Module::hookExec('rightColumn', array('cart' => self::$cart)),
				'HOOK_FOOTER' => Module::hookExec('footer')
			) );

			if ((Configuration::get('PS_CSS_THEME_CACHE') OR Configuration::get('PS_JS_THEME_CACHE')) AND is_writable(_PS_THEME_DIR_.'cache'))
			{
				// CSS compressor management
				if (Configuration::get('PS_CSS_THEME_CACHE'))
					Tools::cccCss();

				//JS compressor management
				if (Configuration::get('PS_JS_THEME_CACHE'))
					Tools::cccJs();
			}
?>
<script type="text/javascript">
	var baseDir = '<?php echo self::$smarty->get_template_vars( 'content_dir' ); ?>';
	var static_token = '<?php echo self::$smarty->get_template_vars( 'static_token' ); ?>';
	var token = '<?php echo self::$smarty->get_template_vars( 'token' ); ?>';
	var priceDisplayPrecision = <?php echo self::$smarty->get_template_vars( 'priceDisplayPrecision' )*self::$smarty->get_template_vars( 'currency' )->decimals; ?>;
	var priceDisplayMethod = <?php echo self::$smarty->get_template_vars( 'priceDisplay' ); ?>;
	var roundMode = <?php echo self::$smarty->get_template_vars( 'roundMode' ); ?>;
</script>
<?php
			echo self::$smarty->get_template_vars( 'HOOK_HEADER' );

			foreach ( $css_files as $css_uri => $media )
				echo '<link href="'.$css_uri.'" rel="stylesheet" type="text/css" media="'.$media.'" />'."\n";
			foreach ( $js_files as $js_uri )
				echo '<script type="text/javascript" src="'.$js_uri.'"></script>'."\n";
                }

		function getTemplateVars( $name ) {
			return self::$smarty->get_template_vars( $name );
		}
	}
}

?>
